<form
    class="{{cssClass}} document"
    autocomplete="off">
    <div class="header">
        <img
            class="header__image"
            src="{{actor.img}}"
            data-edit="img">

        <div class="header__body">
            <div class="header__row">
                <input
                    class="header__name field field--no-decoration field--center"
                    type="text"
                    name="name"
                    value="{{actor.name}}"
                    data-dtype="String">
            </div>

            <div class="header__row">
                <input
                    class="header__type field field--no-decoration field--center"
                    type="text"
                    name="system.type"
                    value="{{data.system.type}}"
                    placeholder="{{localize "WARLOCK.Details.Type"}}"
                    data-dtype="String">
            </div>

            <div class="header__row header__row--align-end">
                <div class="resource">
                    <label class="resource__name">
                        {{localize "WARLOCK.Resources.Stamina"}}
                    </label>

                    <div class="resource__body">
                        <input
                            class="resource__value field field--right field--no-decoration"
                            type="number"
                            name="system.resources.stamina.value"
                            value="{{data.system.resources.stamina.value}}"
                            title="{{localize "WARLOCK.Resources.CurrentStamina"}}"
                            data-dtype="Number">

                        <span class="resource__separator">
                            /
                        </span>

                        <input
                            class="resource__value field field--left field--no-decoration"
                            type="number"
                            name="system.resources.stamina.max"
                            value="{{data.system.resources.stamina.max}}"
                            title="{{localize "WARLOCK.Resources.MaximumStamina"}}"
                            data-dtype="Number">
                    </div>
                </div>

                <div class="resource">
                    <label class="resource__name">
                        {{localize "WARLOCK.Resources.ActionsPerRound"}}
                    </label>

                    <div class="resource__body">
                        <input
                            class="resource__value field field--right field--no-decoration"
                            type="number"
                            name="system.resources.actionsPerRound.value"
                            value="{{data.system.resources.actionsPerRound.value}}"
                            title="{{localize "WARLOCK.Resources.CurrentActionsPerRound"}}"
                            data-dtype="Number">

                        <span class="resource__separator">
                            /
                        </span>

                        <input
                            class="resource__value field field--left field--no-decoration"
                            type="number"
                            name="system.resources.actionsPerRound.max"
                            value="{{data.system.resources.actionsPerRound.max}}"
                            title="{{localize "WARLOCK.Resources.MaximumActionsPerRound"}}"
                            data-dtype="Number">
                    </div>
                </div>

                <div class="resource">
                    <label class="resource__name">
                        <a class="test-weapon-skill">
                            {{localize "WARLOCK.Actors.Monster.WeaponSkill"}}
                        </a>
                    </label>

                    <div class="resource__body">
                        <input
                            class="resource__value field field--center field--no-decoration"
                            type="number"
                            name="system.weaponSkill"
                            value="{{data.system.weaponSkill}}"
                            data-dtype="Number">
                    </div>
                </div>

                <div class="resource">
                    <label class="resource__name">
                        <a class="test-adventuring-skills">
                            {{localize "WARLOCK.Actors.Monster.AdventuringSkills"}}
                        </a>
                    </label>

                    <div class="resource__body">
                        <input
                            class="resource__value field field--center field--no-decoration"
                            type="number"
                            name="system.adventuringSkills"
                            value="{{data.system.adventuringSkills}}"
                            data-dtype="Number">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <nav
        class="tabs"
        data-group="primary">
        <a
            class="tabs__item"
            data-tab="abilities">
            {{localize "WARLOCK.Tabs.Abilities"}}
        </a>

        <a
            class="tabs__item"
            data-tab="combat">
            {{localize "WARLOCK.Tabs.Combat"}}
        </a>

        <a
            class="tabs__item"
            data-tab="gear">
            {{localize "WARLOCK.Tabs.Gear"}}
        </a>

        <a
            class="tabs__item"
            data-tab="spells">
            {{#if (eq data.system.activeSystem "warlock")}}
            {{localize "WARLOCK.Tabs.Spells"}}
            {{else}}
            {{localize "WARLOCK.Tabs.Glyphs"}}
            {{/if}}
        </a>

        <a
            class="tabs__item"
            data-tab="description">
            {{localize "WARLOCK.Tabs.Description"}}
        </a>
    </nav>

    <section class="body">
        <div
            class="tab abilities-tab"
            data-group="primary"
            data-tab="abilities">
            <div class="abilities table">
                <div class="abilities__header table__header">
                    <span class="abilities__header-field table__header-field">
                        {{localize "WARLOCK.Items.Ability.Name"}}
                    </span>

                    <span class="abilities__header-field table__header-field">
                        <a
                            class="create-item"
                            data-item-type="Ability">
                            <i class="fas fa-plus"></i> {{localize "WARLOCK.Items.AddItem"}}
                        </a>
                    </span>
                </div>

                <div class="abilities__body table__body">
                    {{#each data.system.abilities}}
                    <div
                        class="abilities__entry table__entry"
                        data-item-id="{{id}}">
                        <span class="abilities__entry-field table__entry-field">
                            <a class="toggle-description">
                                {{name}}
                            </a>
                        </span>

                        <span class="abilities__entry-field table__entry-field">
                            <a
                                class="chat-item"
                                title="{{localize "WARLOCK.Items.ChatItem"}}">
                                <i class="fas fa-comment"></i>
                            </a>

                            <a
                                class="edit-item"
                                title="{{localize "WARLOCK.Items.EditItem"}}">
                                <i class="fas fa-edit"></i>
                            </a>

                            <a
                                class="delete-item"
                                title="{{localize "WARLOCK.Items.DeleteItem"}}">
                                <i class="fas fa-trash"></i>
                            </a>
                        </span>
                    </div>

                    <div class="table__entry-field--collapsible">
                        {{{system.description}}}
                    </div>
                    {{/each}}
                </div>
            </div>
        </div>

        <div
            class="tab combat-tab"
            data-group="primary"
            data-tab="combat">
            {{> "systems/warlock/templates/actors/partials/combat-tab.hbs"}}
        </div>

        <div
            class="tab gear-tab"
            data-group="primary"
            data-tab="gear">
            {{> "systems/warlock/templates/actors/partials/weapons-table.hbs"}}

            {{> "systems/warlock/templates/actors/partials/armour-table.hbs"}}

            {{> "systems/warlock/templates/actors/partials/equipment-table.hbs"}}
        </div>

        <div
            class="tab spells-tab"
            data-group="primary"
            data-tab="spells">
            {{#if (eq data.system.activeSystem "warlock")}}
            {{> "systems/warlock/templates/actors/partials/spells-table.hbs"}}
            {{else}}
            {{> "systems/warlock/templates/actors/partials/glyphs-table.hbs"}}
            {{/if}}
        </div>

        <div
            class="tab description-tab"
            data-group="primary"
            data-tab="description">
            {{editor
                data.system.biography.description
                target="system.biography.description"
                button=true
                owner=owner
                editable=editable}}
        </div>
    </div>
</form>
